Package org.apache.uima.jcas.cas

# Class AnnotationBase_Type

java.lang.Object
org.apache.uima.jcas.cas.TOP_Type
org.apache.uima.jcas.cas.AnnotationBase_Type

Direct Known Subclasses:
  `Annotation_Type`

@Deprecated public class AnnotationBase_Type extends TOP_Type
Deprecated.
for v2 compiling only

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final boolean`
  `featOkTst`
  Deprecated.
  `static final int`
  `typeIndexID`
  Deprecated.

  ### Fields inherited from class org.apache.uima.jcas.cas.TOP_Type

  `casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AnnotationBase_Type()`
  Deprecated.
  ``
  `AnnotationBase_Type(JCas jcas, Type casType)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected FSGenerator<?>`
  `getFSGenerator()`
  Deprecated.
  `SofaFS`
  `getSofa(int addr)`
  Deprecated.
  `CAS`
  `getView(int addr)`
  Deprecated.

  ### Methods inherited from class org.apache.uima.jcas.cas.TOP_Type

  `addToIndexes, getTypeIndexID, noObjCreate, removeFromIndexes`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### typeIndexID

    public static final int typeIndexID
    Deprecated.
    See Also:
      - Constant Field Values

  - ### featOkTst

    public static final boolean featOkTst
    Deprecated.

- ## Constructor Details

  - ### AnnotationBase_Type

    public AnnotationBase_Type(JCas jcas, Type casType)
    Deprecated.

  - ### AnnotationBase_Type

    protected AnnotationBase_Type()
    Deprecated.

- ## Method Details

  - ### getFSGenerator

    protected FSGenerator<?> getFSGenerator()
    Deprecated.
    Overrides:
      `getFSGenerator` in class `TOP_Type`

  - ### getSofa

    public SofaFS getSofa(int addr)
    Deprecated.

  - ### getView

    public CAS getView(int addr)
    Deprecated.